Subject: Re: ethernet phy attached to wrong driver

From: Detlev Zundel <[email-masked]>
Date: Fri, 07 Aug 2009 16:57:02 +0200

Hi Stefan,

> I'm having trouble with my Ethernet device on a TQM5200 based board with
> LXT971 Phy. I'm running U-Boot 2009.03 and a Kernel 2.6.30.
>
> When doing a ping under U-Boot before booting into Linux, Ethernet works
> fine in Linux also. Dmesg reads:
> [  262.369444] net eth0: Using PHY at MDIO address 0
> [  263.265903] net eth0: attached phy 0 to driver LXT971
>
> But if I start Linux without prior use of the fec under U-Boot, Ethernet
> is not working in Linux. The wrong drivers seems to be attached to the
> phy. Dmesg reads:
> [    2.068285] net eth0: Using PHY at MDIO address 0
> [    2.964774] net eth0: attached phy 0 to driver Generic PHY
>                                                   ^^^^^^^^^^^
> Is there a bootarg to tell linux which driver to use? Any ideas what I'm
> doing wrong?

I cannot reproduce this problem with a tqm5200/stk52xx combination.
Linux always happily uses a genric PHY, irrelevant if I use networking
in U-Boot.

Cheers
  Detlev

--
DENX Software Engineering GmbH,      MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich,  Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-40 Fax: (+49)-8142-66989-80 Email: [email-masked]